Subject: Re: bug#8511: Sort error in makefile

From: "Alan Curry" <[email-masked]>
Date: Sat, 16 Apr 2011 17:45:00 -0500 (GMT+5)

Harpal Shergill writes:
> 
> Hello,
> 
> I have  a makefile which does the following:
> 
>    1. grab a .gz file from server using wget -- works fine
>    2. extract the data from .gz file to new file based on filter using ZCAT
>    -- works fine
>    3. sort the data from based on specific field and saves the data into a
>    new file -- DOES NOT WORK
> 
> 
>    - command looks like this: sort -t: -k2n <inputFile> outputFile
>    - this command works perfectly on command line of cygwin BUT fails
>    through makefile
>    - Error says: Input file specified two times.
> 
> I tried to search on this online but couldn't get any info. Can you please
> help and show me what's wrong? In make file i have this command enclosed
> with "`" character. Any feedback on this would be greatly appreciated.

Your makefile is running the DOS/Windows sort command instead of the
GNU/cygwin sort. Use a full path like /whatever/cygwin/bin/sort to make it
use the right one.

cygwin's bug, if a bug at all...

-- 
Alan Curry